> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post payments



## OpenAPI

````yaml /openapi.json post /payments
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /payments:
    post:
      tags:
        - payments
        - debug
      operationId: PaymentsController_createPayment
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePaymentOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/PaymentMethodNotFoundErrorDto'
              examples:
                PAYMENT_METHOD_NOT_FOUND:
                  $ref: '#/components/schemas/PaymentMethodNotFoundErrorDto'
          description: ''
components:
  schemas:
    CreatePaymentInputBody:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        amountInEuroCents:
          type: number
          description: the amount to charge in cents of euro
        stripeCustomerId:
          type: string
          description: the id of the stripe customer
        paymentMode:
          type: string
          description: the payment mode
          enum:
            - DIRECT_DEBIT
            - BANK_TRANSFER
        paymentMethodId:
          type: string
          description: the id of the payment method
      required:
        - metadata
        - amountInEuroCents
        - stripeCustomerId
        - paymentMode
    CreatePaymentOutput:
      type: object
      properties:
        id:
          type: string
          description: the id of the payment
      required:
        - id
    PaymentMethodNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - PAYMENT_METHOD_NOT_FOUND
        message:
          type: string
          example: No payment method found for payment method id {paymentMethodId}
        details:
          $ref: '#/components/schemas/PaymentMethodNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    PaymentMethodNotFoundDetailsDto:
      type: object
      properties:
        paymentMethodId:
          type: string
      required:
        - paymentMethodId

````